OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
SettingDescBase Struct Reference

Properties of config file settings. More...

`#include <settings_internal.h>`

## Data Fields
const char * | name
| name of the setting. Used in configuration file and for console
const void * | def
| default value given when none is present
SettingDescType | cmd
| various flags for the variable
SettingGuiFlag | flags
| handles how a setting would show up in the GUI (text/currency, etc.)
int32 | min
| minimum values
uint32 | max
| maximum values
int32 | interval
| the interval to use between settings in the 'settings' window. If interval is '0' the interval is dynamically determined
const char * | many
| ONE/MANY_OF_MANY: string of possible values for this type.
StringID | str
| (translated) string with descriptive text; gui and console
StringID | str_help
| (Translated) string with help text; gui only.
StringID | str_val
| (Translated) first string describing the value.
OnChange * | proc
| callback procedure for when the value is changed
OnConvert * | proc_cnvt
| callback procedure when loading value mechanism fails
SettingCategory | cat
| assigned categories of the setting

## Detailed Description

Properties of config file settings.

Definition at line 94 of file settings_internal.h.

The documentation for this struct was generated from the following file:

- src/settings_internal.h